<?php
// @codingStandardsIgnoreStart
class ModelModuleRoistat extends Model {
	
	// Добавление новых полей в таблицу заказов
	public function install() {
		$this->db->query("ALTER TABLE `" . DB_PREFIX . "order` ADD `roistat_visit` VARCHAR( 255 ) NOT NULL DEFAULT ''");
	}
	
	// Сохранение и установка кода счетчика
	public function projectId($project_id = 0) {
	
		$shops = $this->db->query("SELECT * FROM `" . DB_PREFIX . "setting` WHERE `key` = 'config_google_analytics';")->rows;
		
		foreach ($shops as $data) {
			$value = preg_replace("/<!-- begin roistat code -->(.*)<!-- end roistat code -->/is", null, $data['value']);

			$value .= <<<JS
<!-- begin roistat code -->
<script>
(function(w, d, s, u, id) {
var js = d.createElement(s); js.async = 1; js.src = u; var js2 = d.getElementsByTagName(s)[0]; js2.parentNode.insertBefore(js, js2); window.roistatProjectId = id;
})(window, document, 'script', '//cloud.roistat.com/js/roistat-module-visit.js', '{$project_id}');
</script>
<!-- end roistat code -->
JS;
			$this->db->query("UPDATE `" . DB_PREFIX . "setting` SET `value` = '" . $this->db->escape($value) . "' WHERE `setting_id` = '" . (int)$data['setting_id'] . "';");
		}
	}
	
	public function uninstall() {
		$this->db->query("ALTER TABLE `" . DB_PREFIX . "order` DROP `roistat_visit`");
	
		$shops = $this->db->query("SELECT * FROM `" . DB_PREFIX . "setting` WHERE `key` = 'config_google_analytics';")->rows;
		
		foreach ($shops as $data) {
			$value = preg_replace("/<!-- begin roistat code -->(.*)<!-- end roistat code -->/is", null, $data['value']);
			$this->db->query("UPDATE `" . DB_PREFIX . "setting` SET `value` = '" . $this->db->escape($value) . "' WHERE `setting_id` = '" . (int)$data['setting_id'] . "';");
		}
	}
}
// @codingStandardsIgnoreEnd